Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.jms.listener.adapter
Class MessageListenerAdapter102

    java.lang.Object
      org.springframework.jms.listener.adapter.MessageListenerAdapter
          org.springframework.jms.listener.adapter.MessageListenerAdapter102

All Implemented Interfaces:
  javax.jms.MessageListener, SessionAwareMessageListener<javax.jms.Message>, SubscriptionNameProvider

Deprecated. as of Spring 3.0, in favor of the JMS 1.1 based `MessageListenerAdapter`

    @Deprecated
    public class MessageListenerAdapter102

extends MessageListenerAdapter

A `MessageListenerAdapter` subclass for the JMS 1.0.2 specification, not relying on JMS 1.1 methods like MessageListenerAdapter itself.

This class can be used for JMS 1.0.2 providers, offering the same facility as MessageListenerAdapter does for JMS 1.1 providers.

Since:
  2.0
Author:
  Juergen Hoeller, Rick Evans

Field Summary

Fields inherited from class org.springframework.jms.listener.adapter.MessageListenerAdapter
`logger, ORIGINAL_DEFAULT_LISTENER_METHOD`

Constructor Summary
`MessageListenerAdapter102()` Deprecated. Create a new instance of the MessageListenerAdapter102 class with the default settings.
`MessageListenerAdapter102(java.lang.Object delegate)` Deprecated. Create a new instance of the MessageListenerAdapter102 class for the given delegate.

Method Summary
`protected void` | `initDefaultStrategies()` Deprecated. Initialize the default implementations for the adapter's strategies: SimpleMessageConverter102.
`protected void` | `sendResponse(javax.jms.Session session, javax.jms.Destination destination, javax.jms.Message response)` Deprecated. Overrides the superclass method to use the JMS 1.0.2 API to send a response.

Methods inherited from class org.springframework.jms.listener.adapter.MessageListenerAdapter
`buildListenerArguments, buildMessage, extractMessage, getDefaultListenerMethod, getDelegate, getDestinationResolver, getListenerMethodName, getMessageConverter, getResponseDestination, getSubscriptionName, handleListenerException, handleResult, invokeListenerMethod, onMessage, onMessage, postProcessProducer, postProcessResponse, resolveDefaultResponseDestination, setDefaultListenerMethod, setDefaultResponseDestination, setDefaultResponseQueueName, setDefaultResponseTopicName, setDelegate, setDestinationResolver, setMessageConverter`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MessageListenerAdapter102

    public MessageListenerAdapter102()

  Deprecated.
  Create a new instance of the MessageListenerAdapter102 class with the default settings.

### MessageListenerAdapter102

    public MessageListenerAdapter102(java.lang.Object delegate)

  Deprecated.
  Create a new instance of the MessageListenerAdapter102 class for the given delegate.

  Parameters:
    `delegate` - the target object to delegate message listening to

Method Detail

### initDefaultStrategies

    protected void initDefaultStrategies()

  Deprecated.
  Initialize the default implementations for the adapter's strategies: SimpleMessageConverter102.

  Overrides:
    `initDefaultStrategies` in class `MessageListenerAdapter`
  See Also:
    `MessageListenerAdapter.setMessageConverter(org.springframework.jms.support.converter.MessageConverter)`, `SimpleMessageConverter102`

### sendResponse

    protected void sendResponse(javax.jms.Session session,
                                javax.jms.Destination destination,
                                javax.jms.Message response)
                         throws javax.jms.JMSException

  Deprecated.
  Overrides the superclass method to use the JMS 1.0.2 API to send a response.

  Uses the JMS pub-sub API if the given destination is a topic, else uses the JMS queue API.

  Overrides:
    `sendResponse` in class `MessageListenerAdapter`
  Parameters:
    `session` - the JMS session to operate on
    `destination` - the JMS destination to send to
    `response` - the JMS message to send
  Throws:
    `javax.jms.JMSException` - if thrown by JMS API methods
  See Also:
    `MessageListenerAdapter.postProcessProducer(javax.jms.MessageProducer, javax.jms.Message)`, `Session.createProducer(javax.jms.Destination)`, `MessageProducer.send(javax.jms.Message)`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD